API referenceProjects

A project's lineage

Where the project was forked from (if anywhere) and the forks and snapshots made from it, newest first.

Free.

GET
/projects/{id}/forks

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

id*string
Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/forks"
{
  "data": {
    "project_id": "string",
    "parent": {
      "id": "string",
      "name": "string",
      "kind": "fork",
      "forked_at": "string",
      "archived": true
    },
    "children": [
      {
        "id": "string",
        "name": "string",
        "kind": "fork",
        "forked_at": "string",
        "archived": true
      }
    ]
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}